@keyframes background {
    0%  {
        background-color: #aa4478;
    }
    50% {
        background-color: #4478aa;
    }
    100% {
        background-color: #aa4478;
    }
}
@keyframes transcendence {
    0% {
        opacity:0.5;
        text-shadow: 4px 4px 0px #444, -4px 4px 0px #444, 4px -4px 0px #444, -4px -4px 0px #444;
    }
    25% {
        opacity:0;
    }
    50% {
        opacity:0.5;
        text-shadow: -4px -4px 0px #444, 4px -4px 0px #444, -4px 4px 0px #444, 4px 4px 0px #444;
    }
    75% {
        opacity:0;
    }
    100% {
        opacity:0.5;
        text-shadow: 4px 4px 0px #444, -4px 4px 0px #444, 4px -4px 0px #444, -4px -4px 0px #444;
    }
}
* {
    box-sizing: border-box;
}
:root {
    /* animation:background 30s linear infinite; */
    font-family:sans-serif;
    --panel-padding:10px;
    --container-margin:10px;
}
body {
    margin:0;
    padding:5px;
    background-color:black;
    color:#DAE3E5;
    text-shadow:#333 2px 2px 0px;
}
.panel {
    padding:var(--panel-padding);
    border:5px solid blue;
}
h1, h2, h3, h4, h5, h6 {
    margin:0px;
    margin-top:10px;
}
ul {
    list-style-type:square;
}
nav .inline-list {
    margin:0;
}
.inline-list {
    list-style-type:none;
}
.inline-list li {
    display:inline-flex;
    margin-left:1%;
    margin-right:1%;
}
header {
    background-color:#385ed1;
    text-align: center;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1000;
    border: 1px solid #ccc;
    display:flex;
}
#escapist-header {
    padding:0;
}
#escapist-icon {
    height:100%;
}
#escapist-header-container {
    margin-left: 10px;
    text-align: left;
    width:100%;
    display:flex;
    flex-direction: column;
}
#escapist-title-container {
    display:flex;
    flex-direction: row;
    align-items:center;
}
#escapist-title {
    margin:0px;
    float:left;
    margin-right:10px;
    min-width:max-content;
}
#escapist-tagline {
    margin:0;
}
#escapist-description {
    clear:both;
}
#container {
    display: grid;
    grid-template-columns: 4fr 1fr;
    gap: var(--panel-padding);
    margin-top: var(--container-margin);
    margin-bottom: var(--container-margin);
}
main {
    background-color:#aa4478;
    border: 1px solid #ccc;
}
#sidebar {
    background-color:#aa4478;
}
#sidebar ul {
    padding-left: 10px;
}
@keyframes a {
    0% {
        color:HSL(200,75%,70%);
    }
    50% {
        color:HSL(340,75%,70%);
    }
    100% {
        color:HSL(200,75%,70%);
    }
}
a {
    color:HSL(200,75%,70%);
    /* text-shadow:0 0 5px #222; */
}
a:hover {
    animation:a 30s linear infinite;
}
footer {
    width: 100%;
    color:#444;
    text-align:justify;
    text-shadow: 4px 4px 0px #444, -4px 4px 0px #444, 4px -4px 0px #444, -4px -4px 0px #444;
    animation:transcendence 23s linear infinite;
}
.stretch-container {
    display:flex;
    justify-content:space-between;
}
@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
    }
}
